Package com.independentsoft.office.drawing

# Class TransformEffect

java.lang.Object
com.independentsoft.office.drawing.TransformEffect

public class TransformEffect extends Object
The Class TransformEffect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformEffect()`
  Instantiates a new transform effect.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TransformEffect`
  `clone()`
  `int`
  `getHorizontalRatio()`
  Gets the horizontal ratio.
  `Unit`
  `getHorizontalShift()`
  Gets the horizontal shift.
  `int`
  `getHorizontalSkew()`
  Gets the horizontal skew.
  `int`
  `getVerticalRatio()`
  Gets the vertical ratio.
  `Unit`
  `getVerticalShift()`
  Gets the vertical shift.
  `int`
  `getVerticalSkew()`
  Gets the vertical skew.
  `void`
  `setHorizontalRatio​(int horizontalRatio)`
  Sets the horizontal ratio.
  `void`
  `setHorizontalShift​(Unit horizontalShift)`
  Sets the horizontal shift.
  `void`
  `setHorizontalSkew​(int horizontalSkew)`
  Sets the horizontal skew.
  `void`
  `setVerticalRatio​(int verticalRatio)`
  Sets the vertical ratio.
  `void`
  `setVerticalShift​(Unit verticalShift)`
  Sets the vertical shift.
  `void`
  `setVerticalSkew​(int verticalSkew)`
  Sets the vertical skew.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransformEffect

    public TransformEffect()
    Instantiates a new transform effect.

- ## Method Details

  - ### clone

    public TransformEffect clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHorizontalSkew

    public int getHorizontalSkew()
    Gets the horizontal skew.
    Returns:
      the horizontal skew

  - ### setHorizontalSkew

    public void setHorizontalSkew​(int horizontalSkew)
    Sets the horizontal skew.
    Parameters:
      `horizontalSkew` - the new horizontal skew

  - ### getVerticalSkew

    public int getVerticalSkew()
    Gets the vertical skew.
    Returns:
      the vertical skew

  - ### setVerticalSkew

    public void setVerticalSkew​(int verticalSkew)
    Sets the vertical skew.
    Parameters:
      `verticalSkew` - the new vertical skew

  - ### getHorizontalRatio

    public int getHorizontalRatio()
    Gets the horizontal ratio.
    Returns:
      the horizontal ratio

  - ### setHorizontalRatio

    public void setHorizontalRatio​(int horizontalRatio)
    Sets the horizontal ratio.
    Parameters:
      `horizontalRatio` - the new horizontal ratio

  - ### getVerticalRatio

    public int getVerticalRatio()
    Gets the vertical ratio.
    Returns:
      the vertical ratio

  - ### setVerticalRatio

    public void setVerticalRatio​(int verticalRatio)
    Sets the vertical ratio.
    Parameters:
      `verticalRatio` - the new vertical ratio

  - ### getHorizontalShift

    public Unit getHorizontalShift()
    Gets the horizontal shift.
    Returns:
      the horizontal shift

  - ### setHorizontalShift

    public void setHorizontalShift​(Unit horizontalShift)
    Sets the horizontal shift.
    Parameters:
      `horizontalShift` - the new horizontal shift

  - ### getVerticalShift

    public Unit getVerticalShift()
    Gets the vertical shift.
    Returns:
      the vertical shift

  - ### setVerticalShift

    public void setVerticalShift​(Unit verticalShift)
    Sets the vertical shift.
    Parameters:
      `verticalShift` - the new vertical shift